import request from '@/utils/request'

// 查询学生信息列表
export function listStudentInfo(query) {
    return request({
        url: '/system/studentInfo/list',
        method: 'get',
        params: query
    })
}

// 查询学生信息详细
export function getStudentInfo(id) {
    return request({
        url: '/system/studentInfo/' + id,
        method: 'get'
    })
}
// 新增家长信息
export function addparentInfo(data) {
    return request({
        url: '/system/parentInfo/add',
        method: 'post',
        data: data
    })
}
// 新增学生信息
export function addStudentInfo(data) {
    return request({
        url: '/system/studentInfo/add',
        method: 'post',
        data: data
    })
}

// 修改学生信息
export function updateStudentInfo(data) {
    return request({
        url: '/system/studentInfo/edit',
        method: 'post',
        data: data
    })
}

// 删除学生信息
export function delStudentInfo(id) {
    return request({
        url: '/system/studentInfo/' + id,
        method: 'delete'
    })
}